Loading...
Searching...
No Matches
sres_sip.h File Reference

Asynchronous resolver for SIP. More...

`#include <sofia-sip/su_types.h>`
`#include <sofia-sip/su_addrinfo.h>`
`#include <sofia-sip/url.h>`
`#include <sofia-resolv/sres.h>`
Include dependency graph for sres_sip.h:

Go to the source code of this file.

## Macros

#define | SOFIA_SIP_SRES_SIP_H
| Defined when <sofia-sip/sres_sip.h> has been included.
#define | SRES_SIP_MAGIC_T
| Default type of application context for NTA resolver.

## Typedefs

typedef SRES_SIP_MAGIC_T | sres_sip_magic_t
| Application context for NTA resolver.

## Functions

sres_sip_t * | sres_sip_new (sres_resolver_t *sres, url_string_t const *url, su_addrinfo_t const *hints, int naptr, int srv, sres_sip_notify_f *callback, sres_sip_magic_t *magic)
| Resolve a SIP uri.
int | sres_sip_next_step (sres_sip_t *nr)
| Take next step in resolving process.

## Detailed Description

Asynchronous resolver for SIP.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

## Macro Definition Documentation

## SRES_SIP_MAGIC_T

#define SRES_SIP_MAGIC_T

Default type of application context for NTA resolver.

Application may define this to appropriate type before including <sofia-sip/sres_sip.h>.

## Function Documentation

## sres_sip_next_step()

int sres_sip_next_step | ( | sres_sip_t * | srs | ) |

Take next step in resolving process.

Return values

  1 | if there is more steps left
  0 | if resolving process is complete

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.